/**
 * 学校列表
 */
export interface SchoolList {
  // 学校id
  school_id: number;
  // 学校名称
  name: string;
  // 学校号
  num: string;
}
/**
 * 班级列表
 */
export interface GradeList {
  // 班级id
  id: number;
  // 班级名称
  name: string;
}
/**
 * 班级数据
 */
export interface GradeItem {
  // 班级id
  id: number;
  // 班级名称
  name: string;
  // 0未结课1已结课
  grade_status: number;
  // 班级号
  num: string;
  // 学生数量
  count: number;
  // 教师名称
  teacher_name: string;
  // 结课时间
  grade_time: string;
  // 折叠面板使用
  active: number[];
  // 学生列表
  students: StudentList[];
}
/**
 * 学生列表
 */
export interface StudentList {
  // 学生id
  id: number;
  // 学生名称
  name: string;
  // 电话号码
  phone: number;
  // 训练次数
  count: number;
}
/**
 * 教师列表
 */
export interface TeacherList {
  lists: TeacherItem[];
  // 数量
  count: number;
}
export interface TeacherItem {
  // 学生id
  id: number;
  // 学生名称
  name: string;
  // 注册时间
  create_time: string;
  // 折叠面板使用
  active: number[];
  // 教师的设备
  equipment: TeacherEquipment;
  // 负责班级
  grades: GradeList[];
  // 表格行数
  lines: number;
}
export interface TeacherEquipment {
  // 脑机
  AI: Equipment[];
  // 水舞
  SW: Equipment[];
  // 恐龙
  KL: Equipment[];
  // 碰碰车
  PP: Equipment[];
  // SUV
  SU: Equipment[];
  // 赛车
  SC: Equipment[];
  // UFO
  UF: Equipment[];
  // 积木
  JM: Equipment[];
}
export interface Equipment {
  // 设备号
  sn: string;
}
